#!/bin/sh
# Version: 0.1.0
# Author: Dimitrios Dimitrakos mail@dimitrios.de
# $Id$
. ~/.vdrconvert/vdrconvert.env

[ "$DEBUG" = "yes" ] && set -x 

if [ ! -z "$SERVER" ]
then
	ssh $SERVER $0
else
ps -aef > /tmp/vcops.$$
for i in vdrconvert $CONVERT_JOBS
do

	[ `cat /tmp/vcops.$$|grep $i.sh|grep -v grep|wc -l` -gt 0 ] && printf "%-10s\t\t%s\n" "$i" "Running "  >> /tmp/status.$$ || printf "%-10s\t\t%s" "$i" "Not running" >> /tmp/status.$$
	if [ -f "`cat /tmp/vcops.$$|grep ${i}.sh|grep -v grep|awk '{print ($10)}'`" ]
	then
		activ=`cat /tmp/vcops.$$|grep ${i}.sh|grep -v grep|awk '{print ($10)}'`
		toprint=`cat $activ`
		let zeilen=1
		doczeilen=`cat $activ|wc -l`
		while [ $zeilen -le $doczeilen ]
		do
			[ $zeilen -le $doczeilen ] && printf "  %3d)\t" $zeilen >> /tmp/status.$$
			Line=`cat $activ|head -n  $zeilen|tail -n 1`
			for w in $Line
			do
		    	    spalten=`echo $w|sed 's/\// /g'|wc -w`
		       	    Record=`echo $w|sed 's/\%//g'|cut -f $spalten -d '/'`
		    	    printf "%s\n        " $Record >> /tmp/status.$$
	        	done
			printf "\r" >> /tmp/status.$$
			let zeilen=zeilen+1
		done
	fi
	#printf "\n" >> /tmp/status.$$
	let zzeilen=zeilen-1
	FILE=$VCOQUEUEDIR/$i
	if [ -f $VCOQUEUEDIR/$i ]
	then
	    cat $FILE|grep '^/' > $FILE.$$
	    if [ -s $FILE.$$ ]
	    then
		printf "\n%-10s\t\t%s\n" "" "Waiting" >> /tmp/status.$$
	
		let zeilen=1
		doczeilen=`cat $FILE.$$|wc -l`
		while [ $zeilen -le $doczeilen ]
		do
			[ $zeilen -le $doczeilen ] && printf "  %3d)\t" $[$zeilen+$zzeilen] >> /tmp/status.$$
			Line=`cat $FILE.$$|head -n $zeilen|tail -n 1`
			for w in $Line
			do
	    		    spalten=`echo $w|sed 's/\// /g'|wc -w`
	        	    Record=`echo $w|sed 's/\%//g'|cut -f $spalten -d '/'`
	    		    printf "%s\n        " $Record >> /tmp/status.$$
        		done
			printf "\r" >> /tmp/status.$$
			let zeilen=zeilen+1
		done
	    fi
	fi
	printf "\n" >> /tmp/status.$$
        cat /tmp/status.$$
        rm -f /tmp/status.$$
        rm -f $FILE.$$
done
rm -f /tmp/vcops.$$
fi
