#!/bin/bash

GEN_PROGS="O:recode \
	   O:logrotate"

DIVX_PROGS="R:mencoder \
	    R:tcmplex \
	    O:lame"

MPG_PROGS="R:tcmplex \
	   O:tcmplex-panteltje"

MP3_PROGS="R:lame \
	   O:mpg123"

VCD_PROGS="R:tosvcd \
	   R:mpeg2enc \
	   R:yuvdenoise \
	   R:yuvscaler \
	   R:mplex \
	   R:vcdimager \
	   O:cdrdao"

DVD_PROGS="R:dvdauthor \
	   R:jpegtopnm \
	   R:mpeg2enc \
	   R:pnmtopng \
      	   R:pngtopnm \
	   R:ppmmake \
	   R:mplex \
      	   R:mpeg2enc \
	   R:pnmtojpeg \
      	   R:pnmfile \
      	   R:pnmtile \
	   R:gozer \
	   O:transcode \
	   O:cdlabelgen \
	   O:jpeg2eps \
	   O:arecord \
	   O:mp2enc \
	   O:mkisofs \
	   O:growisofs \
	   O:requant \
	   O:tcrequant \
	   O:dvd+rw-mediainfo \
	   O:dvd+rw-format \
	   O:dvd+rw-booktype"
	   

DVD__PROGS="O:tcmplex \
	    O:tcmplex-panteltje \
	    O:dvb-mplex"

    echo "Voraussetzungen werden ueberprueft"
    echo "Check for additional required Software"
    echo "elenchos prosthetou logismikou"
    echo "--------------------------------------"
    echo ""
    echo "General Check"|tee Check.txt
    echo "----------"
    for i in $GEN_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && (printf "%-20s OK" $prg|tee -a Check.txt) || (printf "%-20s not found" $prg | tee -a Check.txt)
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo ""
    echo "DivX Check"|tee -a Check.txt
    echo "----------"
    for i in $DIVX_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo "Be sure mencoder are compiled with libmp3lame support"
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo "MPG Check"|tee -a Check.txt
    echo "----------"
    for i in $MPG_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo "MP3 Check"|tee -a Check.txt
    echo "----------"
    for i in $MP3_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo "AC3 Check"|tee -a Check.txt
    echo "----------"
    echo "The are no requirements for extracting AC3."
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo "(S)VCD Check"|tee -a Check.txt
    echo "----------"
    for i in $VCD_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a
    echo "DVD Check"|tee -a Check.txt
    echo "----------"
    for i in $DVD__PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a 
    for i in $DVD_PROGS
    do
	prg=`echo $i|cut -f2 -d ':'`
        type $prg >/dev/null 2>&1
        status=$?
        [ $status -eq 0 ] && printf "%-20s OK" $prg|tee -a Check.txt || printf "%-20s not found" $prg|tee -a Check.txt
	[ "`echo $i|cut -f1 -d ':'`" = "R" ] && (printf " (Required)\n"|tee -a Check.txt) || (printf " (Optional)\n"|tee -a Check.txt)
    done
    echo ""
    echo -n "Press Enter to continue -> "
    read a
