#!/bin/sh


# Read environment
. ~/.vdrconvert/vdrconvert.env
cd $VDRCONVERTDIR

DIR=$1

[ "$DEBUG" = "yes" ] && set -x

if [ ! -z "$SERVER" ]
then
	ssh $SERVER "$0 $1"
else

    Image=`ls -l $DIR/Image.iso|cut -f2 -d '>'|awk '{print $1}'`
    if [ -r ${Image} ]
    then
      if [ "$MINIDVD" = "yes" ]
      then
          # 
          #  FILE:TYPE:POSTACTION
          #
          echo "${Image}:MINIDVD:DEL" >> $VCOQUEUEDIR/burn
      else
          echo "${Image}:DVD:DEL" >> $VCOQUEUEDIR/burn
      fi
    fi
fi

